Subject: Re: bug#37576: 27.0.50; [Windows] "Permission denied" error from call-process if executable not found

From: Richard Copley <[email-masked]>
Date: Wed, 2 Oct 2019 18:09:14 +0100

On Wed, 2 Oct 2019 at 17:48, Eli Zaretskii <[email-masked]> wrote:

> > From: Andreas Schwab <[email-masked]>
> > Date: Wed, 02 Oct 2019 13:02:43 +0200
> > Cc: Richard Copley <[email-masked]>, [email-masked]
> >
> > On Okt 02 2019, Juanma Barranquero <[email-masked]> wrote:
> >
> > > When the search fails, Emacs is now reporting "permission denied" if
> some
> > > PATH element was non-existent, or "no such file or directory"
> otherwise. At
> > > least on Windows.
> >
> > And that is a bug.  A PATH element pointing to a non-existing directory
> > should be ignored.
>
> I don't know what "ignore" means in this case, since call-process
> should signal an error if it's unable to find the program.  If you
> mean that nonexistent directories should be treated as if they
> existed, but didn't have the program in them, then I agree, and I've
> now fixed the Windows build's behavior to match that of the Posix
> builds in this case.
>

I agree with that too, FWIW. Thanks.

> I still didn't hear from Richard confirming that his case is indeed
> caused by a non-existent directory on PATH.

Yes it is. (At least, there *are* non-existent directories in PATH, and I
get the correct message now.)

Maybe there are other
> factors at work here.